# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.context.BaseWebAuthnContext

Packages that use BaseWebAuthnContext
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.admin.impl
This package has audit functions for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.audit
Audit function APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.audit.impl
This package has administrative functions for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.context
Context APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.impl
This package has an authentication implementation for WebAuthn.

## Uses of BaseWebAuthnContext in net.shibboleth.idp.plugin.authn.webauthn.admin.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.admin.impl declared as BaseWebAuthnContext
Modifier and Type
Field
Description
`private BaseWebAuthnContext`
ExtractUsernameFromRegistrationForm.`webAuthnContext`
Context to operate on.
Fields in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with type parameters of type BaseWebAuthnContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,BaseWebAuthnContext>`
ExtractUsernameFromRegistrationForm.`webAuthnContextLookupStrategy`
Strategy used to locate the `BaseWebAuthnContext` to operate on.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with type arguments of type BaseWebAuthnContext
Modifier and Type
Method
Description
`void`
ExtractUsernameFromRegistrationForm.`setWebAuthnContextLookupStrategy(Function<ProfileRequestContext,BaseWebAuthnContext> strategy)`
Set the strategy used to locate the `BaseWebAuthnContext` to operate on.

## Uses of BaseWebAuthnContext in net.shibboleth.idp.plugin.authn.webauthn.audit

Fields in net.shibboleth.idp.plugin.authn.webauthn.audit with type parameters of type BaseWebAuthnContext
Modifier and Type
Field
Description
`private final Function<ProfileRequestContext,BaseWebAuthnContext>`
AbstractWebAuthnAuditExtractor.`webAuthnBaseContextLookupStrategy`
Lookup strategy to locate the WebAuthn base context.
Methods in net.shibboleth.idp.plugin.authn.webauthn.audit with parameters of type BaseWebAuthnContext
Modifier and Type
Method
Description
`protected abstract T`
AbstractWebAuthnAuditExtractor.`doLookup(BaseWebAuthnContext context)`
Implemented to perform the actual lookup.
Constructor parameters in net.shibboleth.idp.plugin.authn.webauthn.audit with type arguments of type BaseWebAuthnContext
Modifier
Constructor
Description
`protected`
`AbstractWebAuthnAuditExtractor(Function<ProfileRequestContext,BaseWebAuthnContext> strategy)`
Constructor.

## Uses of BaseWebAuthnContext in net.shibboleth.idp.plugin.authn.webauthn.audit.impl

Methods in net.shibboleth.idp.plugin.authn.webauthn.audit.impl with parameters of type BaseWebAuthnContext
Modifier and Type
Method
Description
`protected String`
WebAuthnFlowModeAuditExtractor.`doLookup(BaseWebAuthnContext context)`
Implemented to perform the actual lookup.
`protected String`
WebAuthnUserIdAuditExtractor.`doLookup(BaseWebAuthnContext context)`
Implemented to perform the actual lookup.
`protected String`
WebAuthnUsernameAuditExtractor.`doLookup(BaseWebAuthnContext context)`
Implemented to perform the actual lookup.
`protected String`
WebAuthnUserVerificationAuditExtractor.`doLookup(BaseWebAuthnContext context)`
Implemented to perform the actual lookup.
Constructor parameters in net.shibboleth.idp.plugin.authn.webauthn.audit.impl with type arguments of type BaseWebAuthnContext
Modifier
Constructor
Description
`protected`
`WebAuthnFlowModeAuditExtractor(Function<ProfileRequestContext,BaseWebAuthnContext> strategy)`
Constructor.
`protected`
`WebAuthnUserIdAuditExtractor(Function<ProfileRequestContext,BaseWebAuthnContext> strategy)`
Constructor.
`protected`
`WebAuthnUsernameAuditExtractor(Function<ProfileRequestContext,BaseWebAuthnContext> strategy)`
Constructor.
`protected`
`WebAuthnUserVerificationAuditExtractor(Function<ProfileRequestContext,BaseWebAuthnContext> strategy)`
Constructor.

## Uses of BaseWebAuthnContext in net.shibboleth.idp.plugin.authn.webauthn.context

Subclasses of BaseWebAuthnContext in net.shibboleth.idp.plugin.authn.webauthn.context
Modifier and Type
Class
Description
`final class`
`WebAuthnAuthenticationContext`
Authentication context for processing WebAuthn authentication ceremonies.
`final class`
`WebAuthnRegistrationContext`
Registration context for processing WebAuthn Registration Ceremonies.
Methods in net.shibboleth.idp.plugin.authn.webauthn.context that return BaseWebAuthnContext
Modifier and Type
Method
Description
`BaseWebAuthnContext`
WebAuthnRegistrationContext.`setAttestationConveyancePreference(com.yubico.webauthn.data.AttestationConveyancePreference preference)`
Set the attestation conveyance preference.
`BaseWebAuthnContext`
WebAuthnRegistrationContext.`setDisplayName(String dispName)`
Set the human-palatable name for the user account.
`BaseWebAuthnContext`
BaseWebAuthnContext.`setExistingCredentials(Collection<EnhancedCredentialRecord> credentials)`
Set the user's credentials that have already been registered with the credential repository.
`BaseWebAuthnContext`
WebAuthnRegistrationContext.`setName(String webAuthnName)`
Set the WebAuthn user.name of the user to use during credential registration.
`BaseWebAuthnContext`
WebAuthnRegistrationContext.`setNicknameRequired(boolean flag)`
Set if nickname collection is required or not.
`BaseWebAuthnContext`
BaseWebAuthnContext.`setRawUsername(String name)`
Sets the raw username entered by the user in one of the username collection steps.
`BaseWebAuthnContext`
BaseWebAuthnContext.`setServerChallenge(byte[] challenge)`
Set the server challenge that forms part of the information the client authenticator needs to sign.
`BaseWebAuthnContext`
BaseWebAuthnContext.`setUserId(byte[] id)`
Set the WebAuthn user.id used to map public key credentials to the user's account.
`BaseWebAuthnContext`
BaseWebAuthnContext.`setUsername(String name)`
Sets the internal IdP username.
`BaseWebAuthnContext`
BaseWebAuthnContext.`setUserVerificationRequirement(com.yubico.webauthn.data.UserVerificationRequirement requirement)`
Set the user verification requirement.

## Uses of BaseWebAuthnContext in net.shibboleth.idp.plugin.authn.webauthn.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.impl declared as BaseWebAuthnContext
Modifier and Type
Field
Description
`private BaseWebAuthnContext`
ExtractUsernameFromForm.`webAuthnContext`
Context to operate on.
Fields in net.shibboleth.idp.plugin.authn.webauthn.impl with type parameters of type BaseWebAuthnContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,BaseWebAuthnContext>`
ExtractUsernameFromForm.`webAuthnContextLookupStrategy`
Strategy used to locate the `BaseWebAuthnContext` to operate on.
Methods in net.shibboleth.idp.plugin.authn.webauthn.impl with parameters of type BaseWebAuthnContext
Modifier and Type
Method
Description
`protected void`
AddUserVerificationRequirement.`doExecute(ProfileRequestContext profileRequestContext, BaseWebAuthnContext context)`
Performs this WebAuthn authentication action using the supplied WebAuthn context.
`protected void`
GenerateServerChallenge.`doExecute(ProfileRequestContext profileRequestContext, BaseWebAuthnContext context)`
Performs this WebAuthn authentication action using the supplied WebAuthn context.
`protected void`
InitializeSubjectCanonicalizationContext.`doExecute(ProfileRequestContext profileRequestContext, BaseWebAuthnContext context)`
Performs this WebAuthn authentication action using the supplied WebAuthn context.
`protected void`
LookupRegisteredCredentials.`doExecute(ProfileRequestContext profileRequestContext, BaseWebAuthnContext context)`
Performs this WebAuthn authentication action using the supplied WebAuthn context.
`protected void`
UpdateWebAuthnContextWithC14nPrincipal.`doExecute(ProfileRequestContext profileRequestContext, BaseWebAuthnContext context)`
Performs this WebAuthn authentication action using the supplied WebAuthn context.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.impl with type arguments of type BaseWebAuthnContext
Modifier and Type
Method
Description
`void`
ExtractUsernameFromForm.`setWebAuthnContextLookupStrategy(Function<ProfileRequestContext,BaseWebAuthnContext> strategy)`
Set the strategy used to locate the `BaseWebAuthnContext` to operate on.